# zeit-dl
An unofficial script to download PDF/EPUB/audio files from your Die ZEIT Digitalabo.

## Disclaimer
This script uses your login credentials.
Use at your own risk.

## Installation
Requires `playwright` (with `chromium` driver):
```sh
pip install playwright
playwright install chromium
```
Then you just need to download the [`zeit-dl`](https://git.haagfank.de/LnLcFlx/zeit-dl/raw/branch/master/zeit-dl) file from this repository.

### Docker
Put your credentials and the desired output path in the `.env` file
```
ZEITDL_USER=youruser
ZEITDL_PASSWORD=yourpassword
ZEITDL_MOUNT=/your/path
```
and run `docker compose up -d`.

## Usage
If you simply want to download the current issue of Die ZEIT as pdf run
```sh
python zeit-dl '<USERNAME>' '<PASSWORD>'
```
where your have to replace `<USERNAME>` and `<PASSWORD>` with your credentials.

For help and more options run `zeit-dl --help`.
